Scilab function
Last update : 16/6/2004

delete_nodes - détruit des sommets

### Calling Sequence

  `g1 = delete_nodes(v,g)`

### Parameters

- `v` : vecteur d'entiers, numéros des sommets à détruire
- `g` : graphe (liste)
- `g1` : nouveau graphe (liste)

### Description

`delete_nodes` renvoie le graphe `g1`, avec les sommets donnés par le vecteur `v` ayant été détruits.

### Examples

    ta=[1 1 2 2 2 3 4 5 5 7 8 8 9 10 10 10 10 10 11 12 13 13 13 14 15 16 16 17 17];
    he=[2 10 3 5 7 4 2 4 6 8 6 9 7 7 11 13 13 15 12 13 9 10 14 11 16 1 17 14 15];
    g=make_graph('foo',1,17,ta,he);
    g('node_x')=[283 163 63 57 164 164 273 271 339 384 504 513 439 623 631 757 642];
    g('node_y')=[59 133 223 318 227 319 221 324 432 141 209 319 428 443 187 151 301];
    show_graph(g);
    v=[10 13 4];
    gt=delete_nodes(v,g);
    show_graph(gt,'new');

### See Also

`add_edge`, `add_node`, `delete_arcs`,